Subject: Re: September 2022 i686 big breakage

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Mon, 19 Sep 2022 16:05:12 +0200

On Mon, 19 Sep 2022 12:49:16 +0200
Denis 'GNUtoo' Carikli <[email-masked]> wrote:

> Hi,
> 
> some crucial packages were made unavailable again for i686.
> 
> I'm not sure how to tackle that and I might not manage to fix it all
> alone.
> 
> At least I can send the first patches I have, and then send more
> patches to this bugreport.

The gst-plugins-bad package also doesn't pass the tests on i686.
I've managed to find how to disable tests with the following diff:
> +         ,@(if (string-prefix? "i686" (or (%current-target-system)
> +                                          (%current-system)))
> +               ;; Disable test that fails on i686.
> +               `((add-after 'unpack 'disable-camerabin-test
> +                   (lambda _
> +                     (substitute* "tests/check/meson.build"
> +                       (("\\[\\['elements/camerabin\\.c'\\]\\],")
> +                        "")))))
> +               '())
This workarounds the fact that camerabin times out. After waiting 600
seconds it also timesout so something is not right here.

After that I still have 3 failures:
> 16/66 elements_mpegtsmux             FAIL
> 0.22s   killed by signal 13 SIGPIPE
> 40/66 libs_planaraudioadapter        FAIL
> 0.18s   killed by signal 13 SIGPIPE
> 57/66 elements_jifmux                FAIL
> 0.18s   killed by signal 13 SIGPIPE

PS: I also need to rest (I'm currently ill) else it's me that will
    probably get killed, so there might be some delays in my responses
    depending on my state. The fact that I depend on i686 doesn't make
    this easy for me.

Denis.